International Wire Transactions
Overview
You can create INTERNATIONAL_WIRE transactions via POST /v1/customer/id/{placeholder}/transaction.
The examples below demonstrate common send scenarios to USD and non-USD international external accounts.
Resource Access
Production (api.ahrvo.network)
POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction
Staging (gateway.ahrvo.network)
POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/transaction
Scenarios Covered
• Send — Ahrvo → pre-existing USD International External Account
• Send — Ahrvo → pre-existing non-USD International External Account
• Send — Ahrvo → one-time USD International External Account
Send — Ahrvo → USD International External Account (pre-existing)
POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"type": "REGULAR",
"method": "INTERNATIONAL_WIRE",
"currency": "USD",
"amount": "31",
"source": {
"account": { "id": 4000209 }
},
"destination": {
"internationalExternalAccount": { "id": 4000278 }
},
"processingDetail": {
"memo": "test transaction",
"location": { "id": 2601 },
"payor": {
"name": "Kolly",
"address": {
"addressLine1": "KMB22 City",
"city": "New York",
"state": "NY",
"country": "KY",
"zip": "10017"
}
}
},
"allowDuplicate": true,
"purpose": "test"
}
Send — Ahrvo → non-USD International External Account (pre-existing)
POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"type": "REGULAR",
"externalId": "ET234235678",
"method": "INTERNATIONAL_WIRE",
"currency": "CNY",
"amount": "31",
"amountOriginType": "DESTINATION",
"source": {
"account": { "id": 9939650 }
},
"destination": {
"internationalExternalAccount": { "id": 4063035 }
},
"processingDetail": {
"memo": "test transaction",
"fxQuote": { "id": "67" }
},
"allowDuplicate": true,
"purpose": "test"
}
Send — Ahrvo → USD International External Account (one-time)
POST /banking/us2/v1/customer/id/{placeholder}/transaction
Host: <hostname>
Authorization: Bearer <JWT token>
x-api-key: {apiKey}
Content-Type: application/json
{
"amount": "10.00",
"allowDuplicate": true,
"method": "INTERNATIONAL_WIRE",
"type": "REGULAR",
"purpose": "For transfer",
"source": {
"account": { "id": "4006648" }
},
"destination": {
"internationalExternalAccount": {
"holderName": "Jon Francis",
"holderAddress": {
"addressLine1": "999",
"addressLine2": "GT1 KMB",
"city": "Arizona",
"state": "UP",
"country": "IN"
},
"accountNumber": "0025759600202899",
"internationalRoutingCode": "AXIS0210002",
"swiftCode": "AXISINBE345",
"type": "CHECKING",
"holderType": "CONSUMER"
}
},
"processingDetail": {
"memo": "International transaction",
"location": { "id": 2061 },
"payor": {
"name": "Kolly",
"address": {
"addressLine1": "KMB22 City",
"city": "New York",
"state": "NY",
"country": "KY",
"zip": "10017"
}
}
},
},
"comment": "Payment for service"
}